/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_fcth.h,v 1.4 1997/09/25 16:43:48 ae59 Exp $ */
/*
$Log: f_fcth.h,v $
 * Revision 1.4  1997/09/25  16:43:48  ae59
 * Copyright-message
 *
 * Revision 1.3  1995/07/12  11:28:25  ae59
 * add f_wrid entry
 *
 * Revision 1.2  1994/10/27  17:23:04  ae59
 * add f_wrd1 (dotprecision hex dump) to rts
 *
 * Revision 1.1  1994/01/27  13:22:26  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_fcth.h                              */
/*                                                              */
/*      Description     : function prototypes                   */
/*                                                              */
/*      Date            : 1993-12-01                            */
/*      1993-12-01 : add _PROTOTYPe           =b=               */
/*      1992-10-21 : changed f_init to p_init =b=               */
/*      1991-12-03 : f_popt(),f_args() new routines             */
/*      1991-04-08 : f_rset(),f_rwri() type changed "a_char *"  */
/*      1991-02-14 : f_bhex() new                               */
/*      1991-02-01 : f_getc(),f_putc() new                      */
/*      1991-01-29 : f_quer() new                               */
/*      1990-12-05 : f_op88() new                               */
/****************************************************************/
_PROTOTYPE( void   p_init,(int argc,char **argv));

_PROTOTYPE(void   f_args,(s_trng *name));
_PROTOTYPE(void   f_assg,(f_text *desc,char *name,size_t len));
_PROTOTYPE(void   f_back,(f_text *desc));
_PROTOTYPE(void   f_bhex,(f_text *desc,a_char r,a_char mode));
_PROTOTYPE(void   f_eofp,(void));
_PROTOTYPE(a_bool f_exst,(a_char name[]));
_PROTOTYPE(void   f_free,(f_text *desc));
_PROTOTYPE(void   f_get_,(f_text *desc));
_PROTOTYPE(void   f_getc,(f_text *desc));
_PROTOTYPE(a_intg f_op88,(f_text *desc,s_trng name,a_intg level));
_PROTOTYPE(void   f_popt,(s_trng *name));
_PROTOTYPE(void   f_put_,(f_text *desc));
_PROTOTYPE(void   f_putc,(a_char ch,f_text *desc));
_PROTOTYPE(void   f_quer,(f_text *desc,a_intg *status,s_trng *name));
_PROTOTYPE(void   f_rdf1,(f_text *desc,a_real *r));
_PROTOTYPE(void   f_rdh1,(f_text *desc,a_char *h));
_PROTOTYPE(void   f_rdi1,(f_text *desc,a_intg *i));
_PROTOTYPE(void   f_rdl1,(f_text *desc,multiprecision *r));
_PROTOTYPE(void   f_rdl2,(f_text *desc,multiprecision *r,a_intg rnd));
_PROTOTYPE(void   f_rdln,(f_text *desc));
_PROTOTYPE(void   f_rdr1,(f_text *desc,a_real *r));
_PROTOTYPE(void   f_rdr2,(f_text *desc,a_real *r,a_intg rnd));
_PROTOTYPE(void   f_rds1,(f_text *desc,s_trng *s));
_PROTOTYPE(void   f_rdv1,(f_text *desc,a_intv *r));
_PROTOTYPE(void   f_read,(f_text *desc,a_VOID value));
_PROTOTYPE(void   f_rhex,(f_text *desc,a_real *r,a_char mode));
_PROTOTYPE(a_intg f_rint,(FILE *device,a_intg *i));
_PROTOTYPE(void   f_rset,(f_text *desc,a_char *name,a_char *device));
_PROTOTYPE(void   f_rstn,(f_text *desc,a_intg spec));
_PROTOTYPE(void   f_rwri,(f_text *desc,a_char *name,a_char *device));
_PROTOTYPE(void   f_rwrn,(f_text *desc,a_intg spec));
_PROTOTYPE(a_bool f_sexs,(s_trng name));
_PROTOTYPE(void   f_srse,(f_text *desc,s_trng device));
_PROTOTYPE(void   f_srwi,(f_text *desc,s_trng device));
_PROTOTYPE(void   f_whex,(f_text *desc,a_real r,a_char mode));
_PROTOTYPE(void   f_wint,(f_text *device,a_intg i,a_intg TotalWidth));
_PROTOTYPE(void   f_wrb1,(f_text *desc,a_bool b));
_PROTOTYPE(void   f_wrb2,(f_text *desc,a_bool b,a_intg w));
_PROTOTYPE(void   f_wrc1,(f_text *desc,a_char s[],a_intg n));
_PROTOTYPE(void   f_wrc2,(f_text *desc,a_char s[],a_intg n,a_intg w));
_PROTOTYPE(void   f_wrd1,(f_text *desc,d_otpr r,a_char mode));
_PROTOTYPE(void   f_wrf1,(f_text *desc,a_real r));
_PROTOTYPE(void   f_wrf2,(f_text *desc,a_real r,a_intg w));
_PROTOTYPE(void   f_wrf3,(f_text *desc,a_real r,a_intg w,a_intg f));
_PROTOTYPE(void   f_wrf4,(f_text *desc,a_real r,a_intg w,a_intg f,a_intg rnd));
_PROTOTYPE(void   f_wrh1,(f_text *desc,a_char h));
_PROTOTYPE(void   f_wrh2,(f_text *desc,a_char h,a_intg w));
_PROTOTYPE(void   f_wri1,(f_text *desc,a_intg i));
_PROTOTYPE(void   f_wri2,(f_text *desc,a_intg i,a_intg w));
_PROTOTYPE(void   f_wrid,(FILE   *desc,d_otpr r,a_char mode));
_PROTOTYPE(void   f_writ,(f_text *desc,a_VOID value));
_PROTOTYPE(void   f_wrl1,(f_text *desc,multiprecision r));
_PROTOTYPE(void   f_wrl2,(f_text *desc,multiprecision r,a_intg w));
_PROTOTYPE(void   f_wrl3,(f_text *desc,multiprecision r,a_intg w,a_intg f));
_PROTOTYPE(void   f_wrl4,(f_text *desc,multiprecision r,a_intg w,a_intg f,a_intg rnd));
_PROTOTYPE(void   f_wrln,(f_text *desc));
_PROTOTYPE(void   f_wrr1,(f_text *desc,a_real r));
_PROTOTYPE(void   f_wrr2,(f_text *desc,a_real r,a_intg w));
_PROTOTYPE(void   f_wrr3,(f_text *desc,a_real r,a_intg w,a_intg f));
_PROTOTYPE(void   f_wrr4,(f_text *desc,a_real r,a_intg w,a_intg f,a_intg rnd));
_PROTOTYPE(void   f_wrs1,(f_text *desc,s_trng s));
_PROTOTYPE(void   f_wrs2,(f_text *desc,s_trng s,a_intg w));
